deductionguidesforstd::experimental::scope_exit(3)

NAME
deductionguidesforstd::experimental::scope_exit - deductionguidesforstd::experimental::scope_exit

Synopsis
   Defined in header <experimental/scope>
   template<class EF> (library fundamentals TS v3)
   scope_exit(EF) -> scope_exit<EF>;
   One deduction guide is provided for std::experimental::scope_exit to permit
   deduction from an argument of function or function object type.
   The argument (after function-to-pointer decay, if any) is copied or moved into the
   constructed scope_exit.

Example
    This section is incomplete
    Reason: no example